[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

b43 and b43legacy firmware

Dear Debian QA Group--

I'm having some trouble installing the correct driver on my laptop. I'm slightly confused about the revision numbering of my wireless hardware; that is, I'm not sure if it's revision 2 or 3.

My system is: squeeze (kernel 2.6.32-5)
Relevant output from lspci is:
02:03.0 Network controller [0280]: Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller [14e4:4320] (rev 02)
    Subsystem: Dell TrueMobile 1300 WLAN Mini-PCI Card [1028:0001]
    Flags: bus master, fast devsel, latency 32, IRQ 5
    Memory at fafee000 (32-bit, non-prefetchable) [size=8K]
    Kernel driver in use: b43-pci-bridge

According to linuxwireless.org, it looks like I need the b43legacy driver, which comes in a separate Debian package called "firmware-b43legacy-installer." When I install this package, computer says: "Not supported card. Use b43 firmware."

When I install b43 firmware, configure the interface and bring it up, computer says: "Firmware file b43legacy/ucode4.fw not found or load failed."

So, I am slightly confounded. However, it has occurred to me that I may be getting the packages from the wrong source, which are currently:

deb http://debian.man.ac.uk/debian squeeze main
deb http://ftp.us.debian.org/debian squeeze main contrib

Any ideas?
Cheers, Nick

N Syrotiuk | Mimas | University of Manchester | Manchester  M13 9PL

Reply to: